Subject: [netatalk-admins] 2.1.0a8 PATCH ?

From: okane <[email-masked]>
Date: Fri, 18 Sep 1998 19:59:52 +0200

Greetings

   While compiling:
gcc  -DNEED_QUOTACTL_WRAPPER   -DUAM_RNDNUM -O2
-fomit-frame-pointer -fsigned-char -Wunused -Wuninitialized
-I../../include      -DAPPLCNAME  \
    -DVERSION=\"`cat ../../VERSION`\" \
     -c config.c
config.c: In function `ASPConfigInit':
config.c:171: warning: value computed is not used
config.c: In function `DSIConfigInit':
config.c:216: warning: value computed is not used
config.c: In function `configinit':
config.c:291: warning: `config' might be used uninitialized in
this function

It compiled fine but I looked at it anyway.  I found (at line
171)

*refcount++;

hmmmm.....
Shouldn't that be 

(*refcount)++;

Or am I missing something....
(the same for line 216)

Also, at line 291, maybe we should just initialize *config=NULL
just
to make the compiler happy and life a bit more predictable.

Thanks for the great work!!

Robert O'Kane 

-- 
*/
----------------------------------------------
Unfortunatly, I find language (like politics) necessary for
humans.
Leider finde Ich Sprache (wie Politik) fuer die Menschen
notwendig.
----------------------------------------------
WHO   : Robert O'Kane
WHERE : K|nstlergruppe OTHERSPACE
WHAT  : Founding Member and Linker

WHY   : http://www.rz.uni-frankfurt.de/~okane
HOW   : [email-masked]
----------------------------------------------